org.h2.command.ddl

## Class DropDatabase

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.DropDatabase

    public class DropDatabase
    extends DefineCommand

This class represents the statement DROP ALL OBJECTS

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`DropDatabase(SessionLocal session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setDeleteFiles(boolean b)`
`void` `setDropAllObjects(boolean b)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DropDatabase

    public DropDatabase(SessionLocal session)

### Method Detail

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setDropAllObjects

    public void setDropAllObjects(boolean b)

#### setDeleteFiles

    public void setDeleteFiles(boolean b)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type